Redmine - Feature #3952

Filtering by subproject still shows current project's issues
2009-10-01 00:38 - Rahul Vaidya

Status: New Start date: 2009-10-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution:

Description
Set a filter for Subproject is <subprojectname>. The current parent project's issues will still be shown. Issue seen in trunk.

Related issues:

Related to Redmine - Defect #5388: Filtering by subproject seems to not work Closed 2010-04-27
Related to Redmine - Defect #8853: Filter on subproject does not work Closed 2011-07-19
Related to Redmine - Defect #41193: Incorrect time calculation in subproject Closed

Has duplicate Redmine - Defect #29596: Filter by subproject not working Closed

Follows Redmine - Defect #2512: Subproject filter do not work Closed 2009-01-15
History

#1 - 2009-11-23 08:19 - Ewan Makepeace
+1
[This has been previously been flagged as by design in #2512 - but | feel is a mistake. Personally | need to be able to view subproject issues and

exclude those not assigned to any subproject. This is currently impossible - moreover the current behavior is extremely counter intuitive since the filter
field clearly says you should only be seeing subproject issues, and so this will continue to be reported as a bug | suspect...]

#2 - 2009-11-24 01:36 - Mischa The Evil

- Tracker changed from Defect to Feature

#3 - 2009-11-24 01:38 - Mischa The Evil

I've changed this to be a feature request instead of being a defect (a new design-change is requested).

#4 - 2010-05-13 17:56 - Nigel Jones

+1
I ran into this bug immediately after adding a subproject to an existing project - it makes subprojects less useful

#5 - 2010-10-08 22:21 - Gerry Hawkins

(running 1.0.1)

+1

| disagree with the 'this is not a bug, but by design' response.

If you read the from the filter Ul: "Show issues where the status is open and the subproject is B", where B is a subproject of A and | am doing this filter
in A, | expect to see issues that are open and only in subproject B.

| appreciate the comment that if | want to filter to see just issues in the sub project | should go there, but | feel that the Ul as it exists misrepresents
what is probably a more common expectation. "is" implies equals. If you changed the all/none/is pull down to be all/none/including/excluding then |
would say the Ul and workflow would be OK. But still not what | would like. ;-)

#6 - 2010-10-09 14:12 - Terence Mill

In general you sould be able to search and filter all tickets in the current project you are at the moment and its subprojects.
There are 3 search type one would use in this context.

1. Search in current project and its siblings

2. Search only in current project without its siblings

3. Search in a specific subproject (of current project and) its siblings > this excludes all tickets above the subproject till this project going upwards
the tree

4. Search in a specific subproject (which belongs to current project) without its siblings
1. is possible by default and 3. can be achived by junping to subproject and doing as in 1.

How can 3. and 4. be achieved at the moment?

#7 - 2016-01-25 07:47 - Kevin Palm

+1

#8 - 2016-12-24 06:34 - Go MAEDA

- Category changed from Issues to Issues filter

#9 - 2016-12-25 05:14 - Mischa The Evil
- Related to Defect #8853: Filter on subproject does not work added

#10 - 2018-01-05 08:37 - Phil Valentine

+1

| too was bemused when my filter did not do as | expected.
Filter say show me things that are:

Staus=Open

SubProject=SubprojectA

With this setup | did not expect to see issues that were related to the parent project.

#11 - 2019-06-23 19:02 - Marius BALTEANU
- Has duplicate Defect #29596: Filter by subproject not working added

#12 - 2023-02-24 11:41 - Nat D

+1
As manager of multiple projects monitored by my business unit (having its project parent of mines), | would like to filter (only) on these projects and
not on the current one.

| thought that there is no way to filter with "OR", only "AND" and this behavior looks like an "OR" filter: current project OR subproject = "my
subproject”...

#13 - 2024-09-02 14:43 - Holger Just

- Related to Defect #41193: Incorrect time calculation in subproject added
